Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl.xs
Class XSGroupDecl

    java.lang.Object
      weblogic.apache.xerces.impl.xs.XSGroupDecl

All Implemented Interfaces:
  weblogic.apache.xerces.impl.xs.psvi.XSModelGroupDefinition, weblogic.apache.xerces.impl.xs.psvi.XSObject

Deprecated. please use JDK supplied XML parsers and transformers

public class XSGroupDecl
extends Object
implements weblogic.apache.xerces.impl.xs.psvi.XSModelGroupDefinition

The XML representation for a group declaration schema component is a global element information item

Field Summary
`XSModelGroupImpl` | `fModelGroup` Deprecated.
`String` | `fName` Deprecated.
`String` | `fTargetNamespace` Deprecated.

Constructor Summary
`XSGroupDecl()` Deprecated.

Method Summary
`weblogic.apache.xerces.impl.xs.psvi.XSAnnotation` | `getAnnotation()` Deprecated. Optional.
`weblogic.apache.xerces.impl.xs.psvi.XSModelGroup` | `getModelGroup()` Deprecated. {model group} A model group.
`String` | `getName()` Deprecated. The `name` of this `XSObject` depending on the `XSObject` type.
`String` | `getNamespace()` Deprecated. The namespace URI of this node, or `null` if it is unspecified.
`short` | `getType()` Deprecated. Get the type of the object, i.e ELEMENT_DECLARATION.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fModelGroup

    public XSModelGroupImpl fModelGroup

  Deprecated.

### fName

    public String fName

  Deprecated.

### fTargetNamespace

    public String fTargetNamespace

  Deprecated.

Constructor Detail

### XSGroupDecl

    public XSGroupDecl()

  Deprecated.

Method Detail

### getAnnotation

    public weblogic.apache.xerces.impl.xs.psvi.XSAnnotation getAnnotation()

  Deprecated.
  Optional. Annotation.

  Specified by:
    `getAnnotation` in interface `weblogic.apache.xerces.impl.xs.psvi.XSModelGroupDefinition`

### getModelGroup

    public weblogic.apache.xerces.impl.xs.psvi.XSModelGroup getModelGroup()

  Deprecated.
  {model group} A model group.

  Specified by:
    `getModelGroup` in interface `weblogic.apache.xerces.impl.xs.psvi.XSModelGroupDefinition`

### getName

    public String getName()

  Deprecated.
  The `name` of this `XSObject` depending on the `XSObject` type.

  Specified by:
    `getName` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

### getNamespace

    public String getNamespace()

  Deprecated.
  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.

  Specified by:
    `getNamespace` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

### getType

    public short getType()

  Deprecated.
  Get the type of the object, i.e ELEMENT_DECLARATION.

  Specified by:
    `getType` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD